package com.github.gkutiel;

import java.util.concurrent.TimeUnit;

import com.github.gkutiel.flip.processor.pub.annotation.Command;
import com.github.gkutiel.flip.processor.pub.annotation.Response;
import com.github.gkutiel.flip.web.XmlResponse;

public class FlipLoggerWeb {

	@Command("/chart")
	public void chart(final String key) {

	}

	@Command("/")
	@Response(value = XmlResponse.class, mimeType = "text/xml")
	public String[] dashboard() {
		return FlipLoggerDb.LOG_DB.getKeys();
	}

	@Command("/log")
	public void log(final String key) {
		FlipLoggerDb.LOG_DB.get(key, System.currentTimeMillis() - TimeUnit.DAYS.toMillis(1));
	}
}
